/*
 *  Authors:  tiandongdong <tiandongdong@kylinos.cn>
 *  Authors:  litianhao <litianhao@kylinos.cn>
 *
 *  Copyright (c) KylinSoft Co., Ltd [2024].All rights reserved.
 */
#pragma once

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief 根据路径添加文件保护
 * @param path 文件绝对路径
 * @return 0:成功 其他:失败
 *
 *
 */
int kysec_scene_filectl_add_by_path(const char *path);

/**
 * @brief 根据路径批量添加文件保护
 * @param paths 文件路径数组
 * @param count 个数
 * @return 0:成功 其他:失败
 */
int kysec_scene_filectl_multi_add_by_path(char **paths, int count);

/**
 * @brief 根据路径删除文件保护
 * @param path 文件绝对路径
 * @return 0:成功 其他:失败
 *
 */
int kysec_scene_filectl_remove_by_path(const char *path);

/**
 * @brief 根据路径批量删除文件保护
 * @param paths 文件路径数组
 * @param count 个数
 * @return 0:成功 其他:失败
 */
int kysec_scene_filectl_multi_remove_by_path(char **paths, int count);

/**
 * @brief 获取下发的文件保护策略
 * @param count 个数
 * @return 字符串数组  NULL:无数据
 *         调用者使用完需要手动释放内存
 */
char **kysec_scene_filectl_get_policy(int *count);

#ifdef __cplusplus
}
#endif
